Subject: Re: Could you make vconfig less stupid?

From: Ben Greear <[email-masked]>
Date: Mon, 06 Oct 2008 19:32:10 -0700

Patrick McHardy wrote:
> Stephen Hemminger wrote:
>> vconfig prints bogus message, then autoloads the vlan module.
>> It is still living in 2.4 time warp.
>>
>> # vconfig add dummy0 1
>> WARNING:  Could not open /proc/net/vlan/config.  Maybe you need to 
>> load the 8021q module, or maybe you are not using PROCFS??
>> Added VLAN with VID == 1 to IF -:dummy0:-
>>
>> Other nuisance:
>> # vconfig --version
>> Expecting argc to be 3-5, inclusive.  Was: 2
>> ...
>>
>> 1) users expect version
>> 2) users don't expect argc related crap messages
>
> Actually I don't maintain vconfig and I don't think Ben does either.
> Its deprecated and iproute is what people should use, all the new
> features are not supported by vconfig.
I can fix these things if anyone cares, but leaving it crufty might be a 
better
way to encourage folks to use 'ip'.

Ben

>
> -- 
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html

-- 
Ben Greear <[email-masked]> 
Candela Technologies Inc  http://www.candelatech.com